---
name: Twine
description: Publish a built python project to a PyPi repository
author: Elara6331
containerImage: gitea.elara.ws/music-kraken/plugin-twine
containerImageUrl: https://gitea.elara.ws/music-kraken/-/packages/container/plugin-twine/latest
url: https://gitea.elara.ws/music-kraken/plugin-twine
tags: [python, pypi, twine]
---

Woodpecker CI plugin that uses the [Twine](https://github.com/pypa/twine/) utility to publish a built Python project to a PyPi repository.

## Settings

- `username`: The username to authenticate to the repository as. (REQUIRED)
- `password`: The password to authenticate to the repository with. (REQUIRED)
- `comment`: The comment to include with the distribution file.
- `repository_url`: The repository URL to upload the package to.

## Example

```yaml
steps:
  publish:
    image: gitea.elara.ws/music-kraken/plugin-twine
    settings:
      repository_url: "https://gitea.elara.ws/api/packages/music-kraken/pypi"
      username:
        from_secret: pypi_username
      password:
        from_secret: pypi_password
```

